
import java.util.*;
import java.applet.*;
import java.awt.*;


public class LevelReader
{
	// Variablen
	private int levels_in_total;

	// Levelvector
	private Level [] level_array;

	// Appletrefferenz
	private Component parent;

	public LevelReader (Component parent)
	{
		// Initialisierung der Levelrefferenz
		this.parent = parent;

		// Gesamtzahl von Leveln
		levels_in_total = Integer.parseInt (((Applet)parent).getParameter (C_LevelEditor.total_levels));

		// Initialisierung des Arrays
		level_array = new Level [levels_in_total];
	}

	public Level [] readLevels ()
	{
		for (int i = 1; i <= levels_in_total; i++)
		{
			// Neues Level generieren
			Level level = new Level ();

			// Alle wichtigen Stringinformationen setzten
			level.setAuthor (((Applet)parent).getParameter ("Level" + i + "_" + C_LevelEditor.author));
			level.setName (((Applet)parent).getParameter ("Level" + i + "_" + C_LevelEditor.name));
			level.setComment (((Applet)parent).getParameter ("Level" + i + "_" + C_LevelEditor.comment));

			// Levelzeilen einlesen
			for (int j = 0; j < C_LevelEditor.number_of_lines; j++)
			{
				level.setLine (((Applet)parent).getParameter ("Level" + i + "_Line" + j), j);
			}

			level_array [i-1] = level;
		}

		return level_array;
	}
}
