import java.awt.*;
import java.util.Random;

public class Star
{
	// Variablen
	private int x_pos;
	private int y_pos;
	private int radius;
	private Random rnd;
	private boolean inSight;

	public Star(int array_index, int signum)
	{
		// Randomisierte Bestimmung von Radius und Position des Sterns
		rnd = new Random();

		x_pos = signum *
				Math.abs(rnd.nextInt() % ((300 / 2) - array_index));
		y_pos = Math.abs(rnd.nextInt() % ((300 / 2) - array_index/4));

		radius = 2;

		inSight = true;
	}

	public int getXPos()
	{
		return x_pos;
	}

	public void scrollStar(int speed)
	{
		x_pos += speed;
	}

	public void setInSight(boolean inSight)
	{
		this.inSight = inSight;
	}

	public void paintStar(Graphics g)
	{
		if (inSight)
		{
			g.setColor(Color.white);
			g.fillOval(x_pos, y_pos, radius, radius);
		}
	}
}