import java.awt.*;
import java.applet.*;

public class Ufo
{
	// Variablen

	private boolean inSight;

	private int x_pos;
	private int y_pos;
	private int x_speed;

	private Component parent;
	private Image ufo_image;

	public Ufo (Image ufo_image, Component parent)
	{
		this.ufo_image = ufo_image;
		this.parent = parent;

		x_pos = - 20;
		y_pos = 130;

		x_speed = 1;

		inSight = true;
	}

	public void setInSight(boolean inSight)
	{
		this.inSight = inSight;
	}

	public void paintUfo(Graphics g)
	{
		if (inSight)
		{
			g.drawImage(ufo_image, x_pos, y_pos, parent);
		}
	}

	public void scrollUfo(int speed)
	{
		x_pos += speed;
	}

	public void moveUfo()
	{
		x_pos += x_speed;

		if(x_pos > 350)
		{
			x_pos = -50;
		}
	}
}