
import java.awt.*;

public class Stone
{
	// Variablen
	private int pos_x;
	private int pos_y;

	// Steinfarbe
	private Color color;

	public Stone (int row, int col, Color color)
	{
		calculatePosition (row, col);

		this.color = color;
	}

	private void calculatePosition (int row, int col)
	{
		pos_x = col * C_LevelEditor.field_x_size + C_LevelEditor.space;
		pos_y = row * C_LevelEditor.field_y_size + C_LevelEditor.space;
	}

	public void drawStone (Graphics g)
	{
		g.setColor (color);

		g.fillRect (pos_x, pos_y, C_LevelEditor.stone_x_size, C_LevelEditor.stone_y_size);
	}
}

